NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Features.RevolveBuilder Class Reference

Represents a revolve builder. More...

Inheritance diagram for NXOpen.Features.RevolveBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void SetEndLimitHelperPoint (double[] endHelperPoint)
 If until selected option is used for end limit and the selected entity intersects the revolve multiple times, this point (in parasolid units) will help the system determine which intersection to select. More...
 
unsafe void SetStartLimitHelperPoint (double[] startHelperPoint)
 If until selected option is used for start limit and the selected entity intersects the revolve multiple times, this point (in parasolid units) will help the system determine which intersection to select. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Axis Axis [get, set]
 Returns or sets the revolve axis More...
 
unsafe
NXOpen.GeometricUtilities.BooleanOperation 
BooleanOperation [get]
 Returns the revolve boolean More...
 
unsafe
NXOpen.GeometricUtilities.FeatureOptions 
FeatureOptions [get]
 Returns the feature options More...
 
unsafe
NXOpen.GeometricUtilities.Limits 
Limits [get]
 Returns the limit data More...
 
unsafe
NXOpen.GeometricUtilities.FeatureOffset 
Offset [get]
 Returns the revolve offset More...
 
unsafe NXOpen.Section Section [get, set]
 Returns or sets the section More...
 
unsafe
NXOpen.GeometricUtilities.SmartVolumeProfileBuilder 
SmartVolumeProfile [get]
 Returns the smart volume profile More...
 
unsafe double Tolerance [get, set]
 Returns or sets the revolve tolerance More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a revolve builder.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateRevolveBuilder

Default values.

Property Value

SmartVolumeProfile.OpenProfileSmartVolumeOption

0

Created in NX3.0.1

Member Function Documentation

unsafe void NXOpen.Features.RevolveBuilder.SetEndLimitHelperPoint ( double[]  endHelperPoint)
inline

If until selected option is used for end limit and the selected entity intersects the revolve multiple times, this point (in parasolid units) will help the system determine which intersection to select.

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
endHelperPointIf given end trim limit intersects with revolve multiple times, solution closest to this point will be used.
unsafe void NXOpen.Features.RevolveBuilder.SetStartLimitHelperPoint ( double[]  startHelperPoint)
inline

If until selected option is used for start limit and the selected entity intersects the revolve multiple times, this point (in parasolid units) will help the system determine which intersection to select.

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
startHelperPointIf given start trim limit intersects with revolve multiple times, solution closest to this point will be used.

Property Documentation

unsafe NXOpen.Axis NXOpen.Features.RevolveBuilder.Axis
getset

Returns or sets the revolve axis

Created in NX3.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.BooleanOperation NXOpen.Features.RevolveBuilder.BooleanOperation
get

Returns the revolve boolean

Created in NX3.0.1

License requirements: None.

unsafe NXOpen.GeometricUtilities.FeatureOptions NXOpen.Features.RevolveBuilder.FeatureOptions
get

Returns the feature options

Created in NX4.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.Limits NXOpen.Features.RevolveBuilder.Limits
get

Returns the limit data

Created in NX3.0.1

License requirements: None.

unsafe NXOpen.GeometricUtilities.FeatureOffset NXOpen.Features.RevolveBuilder.Offset
get

Returns the revolve offset

Created in NX3.0.1

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.RevolveBuilder.Section
getset

Returns or sets the section

Created in NX3.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.SmartVolumeProfileBuilder NXOpen.Features.RevolveBuilder.SmartVolumeProfile
get

Returns the smart volume profile

Created in NX8.5.0

License requirements: None.

unsafe double NXOpen.Features.RevolveBuilder.Tolerance
getset

Returns or sets the revolve tolerance

Created in NX3.0.1

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.